angular.module('starter.controllers', [])
.controller('AppCtrl', function($scope, $state, $ionicModal, LoginService, $http, $q) {

  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login-modal.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

   // Form data for the login modal
  $scope.loginData = {};

 // Perform the login action when the user submits the login form
  $scope.doLogin = function() {

    var promise = LoginService.login($scope);
    promise.then(function(greeting) {
      if (greeting.success === true) {
        window.localStorage['mbe_session'] = greeting.session;
        $scope.closeLogin();
        $state.go('app.wellcome');
      } else {
        $scope.error = 'error';
        alert(greeting);
      }
    }, function(reason) {
      $scope.error = 'error';
      alert(reason);
    });  
  } 
   
  $scope.logout = function(){
    window.localStorage['mbe_session'] = '';
    $state.go('app.wellcome');
  };

})

.controller('BookingsCtrl', function($scope, $http, $cordovaDatePicker, BookingService) {

  $scope.showDatePicker=function(){
        var options = {date: new Date(), allowFutureDates: false}; 
        $cordovaDatePicker.show(options).then(function(date) {
            var dateString = date.getFullYear() + '-' + ("0"+(date.getMonth()+1)).slice(-2) + '-' + ('0' + date.getDate()).slice(-2);
            $scope.loadBookings(dateString);
        });
  };

  $scope.loadBookings = function(date) {
    var promise = BookingService.list(date, window.localStorage['mbe_session']);
    promise.then(function(greeting) {
      $scope.bookings = greeting.booking;
    }, function(reason) {
      alert(reason);
    }); 
  } 
})

.controller('BookingCtrl', function($scope, $stateParams, $http, BookingService) {

  $scope.$on('$ionicView.enter', function() {
    var promise = BookingService.read($stateParams.id, window.localStorage['mbe_session']);
    promise.then(function(greeting) {
      $scope.booking = greeting;
    }, function(reason) {
      alert(reason);
    }); 
  }) 
})

.controller('CommentsCtrl', function($scope, $stateParams, $http, CommentService) {
  $scope.$on('$ionicView.enter', function() {
    var promise = CommentService.list(window.localStorage['mbe_session']);
    promise.then(function(greeting) {
      $scope.comments = greeting.comment;
    }, function(reason) {
      alert(reason);
    }); 
  })
});
