angular.module('starter.services', [])
.factory('LoginService', function($http, $q){
  
  var login = function login ($rootScope){
    var deferred = $q.defer();
    var request = $http({
      method: 'POST',
      url: 'http://url_domini/async/user/login.php?client=PRH&output=json',
      headers: {
        'Content-Type': undefined
      },
      data:{ 
        'username': $rootScope.loginData.username,
	'password': $rootScope.loginData.password
      },
      transformRequest: function (data, headersGetter) {
        var formData = new FormData();
        angular.forEach(data, function (value, key) {
          formData.append(key, value);
        });
        var headers = headersGetter();
        return formData;
      }
    }).success(function (data) {
      deferred.resolve(data);
    }).error(function (data, status) {
      deferred.reject(data);
    });
    return(deferred.promise);
  }
  return {
    login: login
  };  
})

.factory('BookingService', function($http, $q){

  var list = function list($date, $session) {
    var deferred = $q.defer();

    var request = $http.get('http://url_domini/async/controller.php?service=Booking&method=searchBookings&output=json&mbe_session=' + $session + '&createdFrom=' + $date + '&createdTo=' + $date)
      .success(function(data) {
        deferred.resolve(data);
      })
      .error(function(data, status, headers, config) {
        deferred.reject(data);
      });
    return deferred.promise;
  }

  function read($id, $session) {
    var deferred = $q.defer();

    var request = $http.get('http://url_domini/async/controller.php?service=Booking&method=readBooking&output=json&id=' + $id + '&mbe_session=' + $session)
      .success(function(data) {
        deferred.resolve(data);
      })
      .error(function(data) {
        deferred.reject(data);
      });
    return(deferred.promise);
  }

  return {
    list: list,
    read: read
  };  
  
})

.factory('CommentService', function($http, $q) {

  var list = function list($session) {
    var deferred = $q.defer();

    var request = $http.get('http://url_domini/async/controller.php?service=Web&method=listComments&output=json&language=es&mbe_session=' + $session)
      .success(function(data) {
        deferred.resolve(data);
      })
      .error(function(data, status, headers, config) {
        deferred.reject(data);
      });
    return deferred.promise;
  }
  return {
    list: list
  }; 
});
